ExposureValues.ExposureSettings

com.hsm.barcode

## Class ExposureValues.ExposureSettings

- java.lang.Object
- - com.hsm.barcode.ExposureValues.ExposureSettings

- Enclosing class:
    ExposureValues

      public static final class ExposureValues.ExposureSettings
      extends java.lang.Object

  ExpsoureSettings class that defines most common setting used during image acquisition.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEC_ES_CONFORM_IMAGE` The image must conform to the auto-exposure requirements, if not, it's rejected
    `static int` | `DEC_ES_CONFORM_TRIES` The number of time it will attempt to conform
    `static int` | `DEC_ES_EXPOSURE_METHOD` Deprecated. Exposure method to use
    `static int` | `DEC_ES_FIXED_EXP` If exposure mode is FIXED, what is the exposure
    `static int` | `DEC_ES_FIXED_FRAME_RATE` If exposure mode is FIXED, what is the frame rate (fixed, has no effect)
    `static int` | `DEC_ES_FIXED_GAIN` If exposure mode is FIXED, what is the gain
    `static int` | `DEC_ES_FRAME_RATE` Deprecated. Frame rate to use - fixed cannot be changed
    `static int` | `DEC_ES_MAX_EXP` This is the maximum exposure allowed to use
    `static int` | `DEC_ES_MAX_GAIN` This is the maximum gain allowed to use
    `static int` | `DEC_ES_SPECULAR_EXCLUSION` Deprecated. Specular exclusion value to use
    `static int` | `DEC_ES_SPECULAR_LIMIT` Deprecated. If specular exclusion is set, what is the limit
    `static int` | `DEC_ES_SPECULAR_SAT` Deprecated. If specular exclusion is set, what is the saturation value
    `static int` | `DEC_ES_TARGET_ACCEPT_GAP` How close to the target while value must image be
    `static int` | `DEC_ES_TARGET_PERCENTILE` The percentile the white target value should be at
    `static int` | `DEC_ES_TARGET_VALUE` Target white value in image to try and achieve

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExposureSettings()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEC_ES_EXPOSURE_METHOD

          public static final int DEC_ES_EXPOSURE_METHOD

      Deprecated. Exposure method to use
      See Also:
        Constant Field Values

    - #### DEC_ES_TARGET_VALUE

          public static final int DEC_ES_TARGET_VALUE

      Target white value in image to try and achieve
      See Also:
        Constant Field Values

    - #### DEC_ES_TARGET_PERCENTILE

          public static final int DEC_ES_TARGET_PERCENTILE

      The percentile the white target value should be at
      See Also:
        Constant Field Values

    - #### DEC_ES_TARGET_ACCEPT_GAP

          public static final int DEC_ES_TARGET_ACCEPT_GAP

      How close to the target while value must image be
      See Also:
        Constant Field Values

    - #### DEC_ES_MAX_EXP

          public static final int DEC_ES_MAX_EXP

      This is the maximum exposure allowed to use
      See Also:
        Constant Field Values

    - #### DEC_ES_MAX_GAIN

          public static final int DEC_ES_MAX_GAIN

      This is the maximum gain allowed to use
      See Also:
        Constant Field Values

    - #### DEC_ES_FRAME_RATE

          public static final int DEC_ES_FRAME_RATE

      Deprecated. Frame rate to use - fixed cannot be changed
      See Also:
        Constant Field Values

    - #### DEC_ES_CONFORM_IMAGE

          public static final int DEC_ES_CONFORM_IMAGE

      The image must conform to the auto-exposure requirements, if not, it's rejected
      See Also:
        Constant Field Values

    - #### DEC_ES_CONFORM_TRIES

          public static final int DEC_ES_CONFORM_TRIES

      The number of time it will attempt to conform
      See Also:
        Constant Field Values

    - #### DEC_ES_SPECULAR_EXCLUSION

          public static final int DEC_ES_SPECULAR_EXCLUSION

      Deprecated. Specular exclusion value to use
      See Also:
        Constant Field Values

    - #### DEC_ES_SPECULAR_SAT

          public static final int DEC_ES_SPECULAR_SAT

      Deprecated. If specular exclusion is set, what is the saturation value
      See Also:
        Constant Field Values

    - #### DEC_ES_SPECULAR_LIMIT

          public static final int DEC_ES_SPECULAR_LIMIT

      Deprecated. If specular exclusion is set, what is the limit
      See Also:
        Constant Field Values

    - #### DEC_ES_FIXED_EXP

          public static final int DEC_ES_FIXED_EXP

      If exposure mode is FIXED, what is the exposure
      See Also:
        Constant Field Values

    - #### DEC_ES_FIXED_GAIN

          public static final int DEC_ES_FIXED_GAIN

      If exposure mode is FIXED, what is the gain
      See Also:
        Constant Field Values

    - #### DEC_ES_FIXED_FRAME_RATE

          public static final int DEC_ES_FIXED_FRAME_RATE

      If exposure mode is FIXED, what is the frame rate (fixed, has no effect)
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExposureSettings

          public ExposureSettings()